summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
Diffstat (limited to 'games')
-rw-r--r--games/tintin/README14
-rw-r--r--games/tintin/slack-desc11
-rw-r--r--games/tintin/tintin.SlackBuild78
-rw-r--r--games/tintin/tintin.info10
4 files changed, 113 insertions, 0 deletions
diff --git a/games/tintin/README b/games/tintin/README
new file mode 100644
index 0000000000..d91f1ab991
--- /dev/null
+++ b/games/tintin/README
@@ -0,0 +1,14 @@
+TinTin++ is a terminal-based MUD/MOO/MUSH client designed to be light
+and extensible. It includes a custom scripting language which supports
+event triggers, timers, aliases, and speedwalking among other features. It
+also supports the inclusion of external scripting languages such as perl,
+python, or ruby via system calls.
+
+TinTin++ supports MCCP (Mud Client Compression Protocol), MMCP (Mud Master
+Chat Protocol), xterm 256 colors, most TELNET options used by MUDs, as
+well as those required to login via telnet on Linux / Mac OS X servers,
+and an auto mapper with a VT100 map display. Being a console client
+TinTin++ works with most screen readers, and its non graphical command
+interface makes the client particularly screen reader / blind friendly.
+
+Note: Executable is installed as /usr/bin/tt++ by default.
diff --git a/games/tintin/slack-desc b/games/tintin/slack-desc
new file mode 100644
index 0000000000..bc2d86c0dd
--- /dev/null
+++ b/games/tintin/slack-desc
@@ -0,0 +1,11 @@
+tintin: TinTin++ (console MUD client)
+tintin:
+tintin: TinTin++ is a terminal based MUD client designed to be lightweight
+tintin: and extensible. It supports a host of expected features expected from
+tintin: a modern MUD client including triggers, aliases, gags, highlights,
+tintin: macros, generous support for external scripting languages and even an
+tintin: automapper!
+tintin:
+tintin: home: tintin.sourceforge.net
+tintin:
+tintin: Note: Executable is installed as: tt++
diff --git a/games/tintin/tintin.SlackBuild b/games/tintin/tintin.SlackBuild
new file mode 100644
index 0000000000..1b41c46138
--- /dev/null
+++ b/games/tintin/tintin.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+# Slackware build script for tintin++
+PRGNAM=tintin
+VERSION=${VERSION:-2.00.9}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$PRGNAM-$VERSION
+cd $TMP
+tar -zxvf $CWD/$PRGNAM-$VERSION.tar.gz
+
+#There's a discrepancy in naming convention here.
+#Just renaming the unpacked source to be consistent.
+mv tt $PRGNAM-$VERSION
+
+cd $PRGNAM-$VERSION/src
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cd $TMP/$PRGNAM-$VERSION
+cp -a FAQ INSTALL COPYING CREDITS README TODO docs/ $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/tintin/tintin.info b/games/tintin/tintin.info
new file mode 100644
index 0000000000..07e58c8362
--- /dev/null
+++ b/games/tintin/tintin.info
@@ -0,0 +1,10 @@
+PRGNAM="tintin"
+VERSION="2.00.9"
+HOMEPAGE="http://tintin.sourceforge.net"
+DOWNLOAD="http://downloads.sourceforge.net/tintin/tintin-2.00.9.tar.gz"
+MD5SUM="633bb31a01d586d001bbf5f7f7833e87"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Zach Lewis"
+EMAIL="koni@archlinux.us"